{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"7c64c977ac723fc2f2efe13425f15818180ac32f","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-15.1.18.tgz","fileCount":7,"integrity":"sha512-EavZGx2tKAaLhRWao1JV6SZA2fy3LObtfkb/jaHjJBQ3yvBUaucjFlx9vouRGmdBV+fx91CqxhH9lFDhYuX2xA==","signatures":[{"sig":"MEUCIQD10BMAoR4FMHzhPhIjw7LppVrtJL/MhCQJXk4Deq+ungIgLfCTeeUT6rWEBU22aL7oobd5fJSM2/iRcNaJWghAxdQ=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":214696},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"engines":{"node":">=20.12.0 <21 || >=22.0.0"},"gitHead":"19779ff6b3ea89224219c9891b625bdbd3e211ae","license":"MIT","scripts":{"test":"node ./#/public/tests","benchmark":"node ./#/public/benchmarks"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.19.0","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.20.0","dependencies":{"punycode":"^2.3.1"},"engineStrict":true,"_hasShrinkwrap":false,"readmeFilename":"readme.md","devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_15.1.18_1788191886483_0.27222559454257844","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@15.1.18","version":"15.1.18"}